### Method

# FwupdPlugin Device add_instance_u16

since: 1.7.7

#### Declaration [src]

    void
    fu_device_add_instance_u16 (
      FuDevice* self,
      const gchar* key,
      guint16 value
    )

#### Description [src]

Assign a value to the `key`, which is padded as `4X`.

Available since: 1.7.7

#### Parameters

`key`

  Type: `const gchar*`

  String.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `guint16`

  Value.